=== debian/changelog ===
slop (4.2.20-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sat, 11 Jun 2016 14:44:38 -0700

slop (4.2.20-1~webupd8~trusty1) trusty; urgency=medium

  * Initial debianization

 -- Alin Andrei <webupd8@gmail.com>  Tue, 10 Nov 2015 14:28:19 +0200
