=== debian/control ===
Source: slop
Section: utils
Priority: extra
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Alin Andrei <webupd8@gmail.com>
Build-Depends: debhelper (>= 9),
 cmake,
 libglew-dev,
 libimlib2-dev,
 libx11-dev,
 libxext-dev,
 libxrandr-dev,
 mesa-common-dev,
 libglm-dev
Standards-Version: 3.9.6

Package: slop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: queries for selection from the user and prints the region to stdout
 slop (Select Operation) is an application that querys for a selection from the
 user and prints the region to stdout. It grabs the mouse and turns it into a
 crosshair, lets the user click and drag to make a selection (or click on a 
 window) while drawing a pretty box around it, then finally prints the
 selection's dimensions to stdout.
