=== debian/changelog ===
slop (4.3.21-1) unstable; urgency=low

  * Initial release (Closes: #842974)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 02 Nov 2016 15:08:14 -0400
