=== debian/control ===
Source: slop
Section: x11
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 9)
             , cmake
             , libxext-dev
             , libimlib2-dev
             , libxrender-dev
             , libxrandr-dev
             , libglew-dev
             , libglm-dev
Standards-Version: 3.9.8
Homepage: https://github.com/naelstrof/slop
Vcs-Git: git://anonscm.debian.org/collab-maint/slop.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/slop.git;a=summary

Package: slop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: queries for a selection from the user and prints the region to stdout
 slop (Select Operation) is an application that queries for a
 selection from the user and prints the region to stdout. It grabs the
 mouse and turns it into a crosshair, lets the user click and drag to
 make a selection (or click on a window) while drawing a pretty box
 around it, then finally prints the selection's dimensions to stdout.
 .
 Features:
 .
  * Hovering over a window will cause a selection rectangle to appear
    over it.
  * Clicking on a window makes slop return the dimensions of the
    window.
  * Clicking and dragging causes a selection rectangle to appear,
    renders pretty well (compared to scrot). And will return the
    dimensions of that rectangle in absolute screen coords.
  * On startup it turns your cursor into a crosshair, then adjusts the
    cursor into angles as you drag the selection rectangle.
  * Supports simple arguments:
  * Change selection rectangle border size.
  * Select X display.
  * Set padding size, even negative padding sizes!
  * Set click tolerance for if you have a shaky mouse.
  * Set the color of the selection rectangles to match your theme!
    (Even supports transparency!)
  * Remove window decorations from selections.
  * Supports OpenGL hardware acceleration.
  * Supports textured themes.
  * Supports programmable shaders.
  * Supports a magnifying glass.
