## slop 6.3.47

=== debian/changelog ===
slop (6.3.47-1) unstable; urgency=medium

  * New upstream release
  * fix missing list indent in package description (Closes: #848251)
  * reduce dependencies as per upstream README
  * disable UNICODE support to avoid linking against libicu, file a bug if
    that causes problems
  * bump debhelper compatibility to 10

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 20 Jul 2017 19:06:52 -0400
