=== debian/changelog ===
slop (7.3.49-1build2) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:55:43 +0000

slop (7.3.49-1build1) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 15:48:45 +0000

slop (7.3.49-1) unstable; urgency=medium

  * New upstream release
  * bump policy version to 4.1.0, no change

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 23 Aug 2017 15:37:52 -0400
