=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: x11
 Priority: optional
 Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 9)
-             , cmake
-             , libxext-dev
-             , libimlib2-dev
-             , libxrender-dev
-             , libxrandr-dev
+Build-Depends: debhelper (>= 10~)
+             , cmake (>= 3.1.3~)
+             , libegl1-mesa-dev
+             , libicu-dev
              , libglew-dev
              , libglm-dev
+             , libxrender-dev
+             , pkg-config
 Standards-Version: 3.9.8
 Homepage: https://github.com/naelstrof/slop
 Vcs-Git: git://anonscm.debian.org/collab-maint/slop.git
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/slop.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/slop.git/
 
 Package: slop
 Architecture: any
@@ -37,15 +37,14 @@
   * On startup it turns your cursor into a crosshair, then adjusts the
     cursor into angles as you drag the selection rectangle.
   * Supports simple arguments:
-  * Change selection rectangle border size.
-  * Select X display.
-  * Set padding size, even negative padding sizes!
-  * Set click tolerance for if you have a shaky mouse.
-  * Set the color of the selection rectangles to match your theme!
-    (Even supports transparency!)
+    * Change selection rectangle border size.
+    * Select X display.
+    * Set padding size, even negative padding sizes!
+    * Set click tolerance for if you have a shaky mouse.
+    * Set the color of the selection rectangles to match your theme!
+      (Even supports transparency!)
   * Remove window decorations from selections.
   * Supports OpenGL hardware acceleration.
   * Supports textured themes.
   * Supports programmable shaders.
   * Supports a magnifying glass.
-
