=== debian/changelog ===
slop (7.4-1build2) disco; urgency=medium

  * No-change rebuild against latest glew

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 23 Nov 2018 20:05:34 -0500

slop (7.4-1build1) disco; urgency=medium

  * No-change rebuild for icu soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Nov 2018 08:20:29 +0000

slop (7.4-1) unstable; urgency=medium

  * new upstream release
  * point Vcs-* URLs to salsa
  * update standards: no change

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 27 Aug 2018 16:30:07 -0400
