=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
              , libglm-dev
              , libxrender-dev
              , pkg-config
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1.0
 Homepage: https://github.com/naelstrof/slop
-Vcs-Git: git://anonscm.debian.org/collab-maint/slop.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/slop.git/
+Vcs-Git: https://salsa.debian.org/debian/slop.git
+Vcs-Browser: https://salsa.debian.org/debian/slop
 
 Package: slop
 Architecture: any
