=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,3 @@
 # main packaging script based on dh7 syntax
 %:
 	dh $@ 
-
-override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_OPENGL_SUPPORT=true
-
-
-
-
