=== debian/changelog ===
slop (7.5-1) unstable; urgency=medium

  * New upstrem release

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 10 May 2020 23:36:44 -0400

slop (7.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/rules: Remove trailing whitespaces

  [ Antoine Beaupré ]
  * fix FTBFS, thanks Sebastian Ramacher! (Closes: #951941)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 24 Feb 2020 11:38:34 -0500
