=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
              , libicu-dev
              , libglew-dev
              , libglm-dev
+             , libxext-dev
              , libxrender-dev
              , pkg-config
 Standards-Version: 4.2.1.0
