=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,4 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ 
+	dh $@
