=== debian/changelog ===
slop (7.6-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Refer to common license file for Apache-2.0.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Remove listed license files (COPYING) from copyright.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Apply multi-arch hints. + libslopy7.6: Add Multi-Arch: same.

  [ Jakob Haufe ]
  * Add Salsa CI config
  * Build with C++17 (Closes: #1092322)
  * Bump Standards-Version
  * Split B-D
  * Add symbols file
  * Switch to pkgconf

 -- Jakob Haufe <sur5r@debian.org>  Sun, 23 Mar 2025 19:45:20 +0100

slop (7.6-4) unstable; urgency=medium

  * Adopt package: (Closes: #1030005)
  * Add versioned Breaks+Replaces for libslopy-dev (Closes: #1034953)

 -- Jakob Haufe <sur5r@debian.org>  Sun, 07 May 2023 11:07:14 +0200

slop (7.6-3) unstable; urgency=medium

  * upload to unstable
  * fix upgrade from monolith slop package, thanks georgesk (Closes: #1014265)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 11 Jul 2022 14:09:52 -0400

slop (7.6-2) experimental; urgency=medium

  * split out shared library in new binary packages (Closes: #1009010)
  * update debian/copyright to cover for missing files, thanks Thorsten

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 01 Jun 2022 15:15:38 -0400

slop (7.6-1) unstable; urgency=medium

  * acknowledge NMU, thanks georgesk!
  * new upstream release
  * fix watch file

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 31 Mar 2022 12:20:45 -0400

slop (7.5-1.1) unstable; urgency=medium

  * Non Maintainer Upload: fix #994824 (slop: FTBFS on sid)
  * added an include directive for X11/Xutil.h

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 01 Oct 2021 09:17:09 +0200
