=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: slop
 Section: x11
 Priority: optional
-Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 10~)
-             , cmake (>= 3.1.3~)
-             , libegl1-mesa-dev
-             , libicu-dev
-             , libglew-dev
-             , libglm-dev
-             , libxext-dev
-             , libxrender-dev
-             , pkg-config
-Standards-Version: 4.2.1.0
+Maintainer: Jakob Haufe <sur5r@debian.org>
+Build-Depends: debhelper-compat ( =13),
+Build-Depends-Arch: cmake (>= 3.1.3~),
+                    libegl1-mesa-dev,
+                    libglew-dev,
+                    libglm-dev,
+                    libicu-dev,
+                    libxext-dev,
+                    libxrender-dev,
+                    pkgconf,
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: https://github.com/naelstrof/slop
 Vcs-Git: https://salsa.debian.org/debian/slop.git
 Vcs-Browser: https://salsa.debian.org/debian/slop
 
 Package: slop
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: queries for a selection from the user and prints the region to stdout
  slop (Select Operation) is an application that queries for a
  selection from the user and prints the region to stdout. It grabs the
@@ -49,3 +51,35 @@
   * Supports textured themes.
   * Supports programmable shaders.
   * Supports a magnifying glass.
+
+Package: libslopy-dev
+Section: libdevel
+Architecture: any
+Depends: libslopy7.6 (= ${binary:Version}),
+         ${misc:Depends},
+Breaks: slop (<< 7.6-2),
+Replaces: slop (<< 7.6-2),
+Description: queries for a selection from the user and prints the region to stdout
+ slop (Select Operation) is an application that queries for a
+ selection from the user and prints the region to stdout. It grabs the
+ mouse and turns it into a crosshair, lets the user click and drag to
+ make a selection (or click on a window) while drawing a pretty box
+ around it, then finally prints the selection's dimensions to stdout.
+ .
+ This package contains the development files.
+
+Package: libslopy7.6
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: slop (<< 7.6-2),
+Replaces: slop (<< 7.6-2),
+Multi-Arch: same
+Description: queries for a selection from the user and prints the region to stdout
+ slop (Select Operation) is an application that queries for a
+ selection from the user and prints the region to stdout. It grabs the
+ mouse and turns it into a crosshair, lets the user click and drag to
+ make a selection (or click on a window) while drawing a pretty box
+ around it, then finally prints the selection's dimensions to stdout.
+ .
+ This package contains the shared library.
