=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,6 @@
 # package maintainers to append CFLAGS
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 
 # main packaging script based on dh7 syntax
