## slop 7.7

=== debian/changelog ===
slop (7.7-2) unstable; urgency=medium

  * Mark C++ STL symbol as optional (Closes: #1114385)

 -- Jakob Haufe <sur5r@debian.org>  Tue, 07 Oct 2025 13:50:37 +0200

slop (7.7-1) unstable; urgency=medium

  * New upstream version (Closes: #1113511)
  * Drop d/patches: Applied upstream
  * Update library packaging for new upstream version (Closes: #1114385)
  * Update watchfile
  * Clean up d/rules

 -- Jakob Haufe <sur5r@debian.org>  Fri, 03 Oct 2025 18:01:15 +0200
