=== debian/control ===
--- 
+++ 
@@ -55,10 +55,8 @@
 Package: libslopy-dev
 Section: libdevel
 Architecture: any
-Depends: libslopy7.6 (= ${binary:Version}),
+Depends: libslopy7.7 (= ${binary:Version}),
          ${misc:Depends},
-Breaks: slop (<< 7.6-2),
-Replaces: slop (<< 7.6-2),
 Description: queries for a selection from the user and prints the region to stdout
  slop (Select Operation) is an application that queries for a
  selection from the user and prints the region to stdout. It grabs the
@@ -68,12 +66,11 @@
  .
  This package contains the development files.
 
-Package: libslopy7.6
+Package: libslopy7.7
+Section: libs
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-Breaks: slop (<< 7.6-2),
-Replaces: slop (<< 7.6-2),
 Multi-Arch: same
 Description: queries for a selection from the user and prints the region to stdout
  slop (Select Operation) is an application that queries for a
