=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/naelstrof/slop/tags
Matching-Pattern: https://api.github.com/repos/naelstrof/slop/tarball/refs/tags/v(\d.\d)
Filenamemangle: s/.+\/v?(\d.\d)/slop-$1\.tar\.gz/
Searchmode: plain
